"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.mListMoveListConfig = exports.mListsListConfig = exports.mHeadingListConfig = exports.mLiftListItemData = exports.mSinkListItemData = exports.mOrderedListItemData = exports.mBulletListItemData = exports.mHeading6ItemData = exports.mHeading5ItemData = exports.mHeading4ItemData = exports.mHeading3ItemData = exports.mHeading2ItemData = exports.mHeading1ItemData = exports.mMathListItem = exports.mEmojiItemData = exports.mHruleItemData = exports.mCodeBlockItemData = exports.mCodeblockItemData = exports.mMermaidItemData = exports.mMermaidButton = exports.mYfmHtmlBlockItemData = exports.mYfmHtmlBlockButton = exports.mMathBlockItemData = exports.mMathInlineItemData = exports.mTabsItemData = exports.mFileItemData = exports.mFilePopupData = exports.mImageItemData = exports.mImagePopupData = exports.mCodeItemData = exports.mTableItemData = exports.mTableButton = exports.mNoteItemData = exports.mNoteButton = exports.mCutItemData = exports.mCutButton = exports.mQuoteItemData = exports.mQuoteButton = exports.mLinkItemData = exports.mLinkButton = exports.mCheckboxItemData = exports.mCheckboxButton = exports.mMarkedItemData = exports.mMonospaceItemData = exports.mStrikethroughItemData = exports.mUnderlineItemData = exports.mItalicItemData = exports.mBoldItemData = exports.mRedoItemData = exports.mUndoItemData = void 0;
exports.mHiddenDataByPreset = exports.mToolbarConfigByPreset = exports.mToolbarConfig = exports.mBiusGroupConfig = exports.mHistoryGroupConfig = exports.mHiddenData = exports.mMathListConfig = exports.mCodeListConfig = void 0;
const tslib_1 = require("tslib");
const react_1 = tslib_1.__importDefault(require("react"));
const menubar_1 = require("../../i18n/menubar");
const commands_1 = require("../../markup/commands");
const shortcuts_1 = require("../../shortcuts");
const types_1 = require("../../toolbar/types");
const MToolbarColors_1 = require("../toolbar/markup/MToolbarColors");
const MToolbarFilePopup_1 = require("../toolbar/markup/MToolbarFilePopup");
const MToolbarImagePopup_1 = require("../toolbar/markup/MToolbarImagePopup");
const action_names_1 = require("./action-names");
const icons_1 = require("./icons");
const noop = () => { };
const inactive = () => false;
const enable = () => true;
const disable = () => false;
exports.mUndoItemData = {
    id: action_names_1.ActionName.undo,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'undo'),
    icon: icons_1.icons.undo,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Undo),
    exec: (e) => (0, commands_1.undo)(e.cm),
    isActive: inactive,
    isEnable: (e) => (0, commands_1.undoDepth)(e.cm.state) > 0,
};
exports.mRedoItemData = {
    id: action_names_1.ActionName.redo,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'redo'),
    icon: icons_1.icons.redo,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Redo),
    exec: (e) => (0, commands_1.redo)(e.cm),
    isActive: inactive,
    isEnable: (e) => (0, commands_1.redoDepth)(e.cm.state) > 0,
};
exports.mBoldItemData = {
    id: action_names_1.ActionName.bold,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'bold'),
    icon: icons_1.icons.bold,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Bold),
    exec: (e) => (0, commands_1.toggleBold)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mItalicItemData = {
    id: action_names_1.ActionName.italic,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'italic'),
    icon: icons_1.icons.italic,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Italic),
    exec: (e) => (0, commands_1.toggleItalic)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mUnderlineItemData = {
    id: action_names_1.ActionName.underline,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'underline'),
    icon: icons_1.icons.underline,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Underline),
    exec: (e) => (0, commands_1.toggleUnderline)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mStrikethroughItemData = {
    id: action_names_1.ActionName.strike,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'strike'),
    icon: icons_1.icons.strikethrough,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Strike),
    exec: (e) => (0, commands_1.toggleStrikethrough)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mMonospaceItemData = {
    id: action_names_1.ActionName.mono,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'mono'),
    icon: icons_1.icons.mono,
    exec: (e) => (0, commands_1.toggleMonospace)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mMarkedItemData = {
    id: action_names_1.ActionName.mark,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'mark'),
    icon: icons_1.icons.mark,
    exec: (e) => (0, commands_1.toggleMarked)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mCheckboxButton = {
    id: action_names_1.ActionName.checkbox,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'checkbox'),
    icon: icons_1.icons.checklist,
    exec: (e) => (0, commands_1.wrapToCheckbox)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mCheckboxItemData = exports.mCheckboxButton;
exports.mLinkButton = {
    id: action_names_1.ActionName.link,
    type: types_1.ToolbarDataType.SingleButton,
    icon: icons_1.icons.link,
    title: (0, menubar_1.i18n)('link'),
    exec: (e) => (0, commands_1.insertLink)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mLinkItemData = exports.mLinkButton;
exports.mQuoteButton = {
    id: action_names_1.ActionName.quote,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'quote'),
    icon: icons_1.icons.quote,
    exec: (e) => (0, commands_1.wrapToBlockquote)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mQuoteItemData = exports.mQuoteButton;
exports.mCutButton = {
    id: action_names_1.ActionName.yfm_cut,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'cut'),
    icon: icons_1.icons.cut,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Cut),
    exec: (e) => (0, commands_1.wrapToYfmCut)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mCutItemData = exports.mCutButton;
exports.mNoteButton = {
    id: action_names_1.ActionName.yfm_note,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'note'),
    icon: icons_1.icons.note,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Note),
    exec: (e) => (0, commands_1.wrapToYfmNote)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mNoteItemData = exports.mNoteButton;
exports.mTableButton = {
    id: action_names_1.ActionName.table,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'table'),
    icon: icons_1.icons.table,
    exec: (e) => (0, commands_1.insertYfmTable)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mTableItemData = exports.mTableButton;
exports.mCodeItemData = {
    id: action_names_1.ActionName.code_inline,
    title: menubar_1.i18n.bind(null, 'code_inline'),
    icon: icons_1.icons.code,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Code),
    exec: (e) => (0, commands_1.wrapToInlineCode)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mImagePopupData = {
    id: 'image',
    type: types_1.ToolbarDataType.ButtonPopup,
    icon: icons_1.icons.image,
    title: (0, menubar_1.i18n)('image'),
    exec: noop,
    isActive: inactive,
    isEnable: enable,
    renderPopup: (props) => react_1.default.createElement(MToolbarImagePopup_1.MToolbarImagePopup, Object.assign({}, props)),
};
exports.mImageItemData = exports.mImagePopupData;
exports.mFilePopupData = {
    id: 'file',
    type: types_1.ToolbarDataType.ButtonPopup,
    icon: icons_1.icons.file,
    title: (0, menubar_1.i18n)('file'),
    exec: noop,
    isActive: inactive,
    isEnable: enable,
    renderPopup: (props) => react_1.default.createElement(MToolbarFilePopup_1.MToolbarFilePopup, Object.assign({}, props)),
};
exports.mFileItemData = exports.mFilePopupData;
exports.mTabsItemData = {
    id: 'tabs',
    title: menubar_1.i18n.bind(null, 'tabs'),
    icon: icons_1.icons.tabs,
    type: types_1.ToolbarDataType.SingleButton,
    exec: (e) => (0, commands_1.insertYfmTabs)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mMathInlineItemData = {
    id: action_names_1.ActionName.math_inline,
    title: menubar_1.i18n.bind(null, 'math_inline'),
    icon: icons_1.icons.functionInline,
    exec: (e) => (0, commands_1.wrapToMathInline)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mMathBlockItemData = {
    id: action_names_1.ActionName.math_block,
    title: menubar_1.i18n.bind(null, 'math_block'),
    icon: icons_1.icons.functionBlock,
    exec: (e) => (0, commands_1.wrapToMathBlock)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mYfmHtmlBlockButton = {
    id: action_names_1.ActionName.yfm_html_block,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'html'),
    icon: icons_1.icons.html,
    exec: (e) => (0, commands_1.insertYfmHtmlBlock)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mYfmHtmlBlockItemData = exports.mYfmHtmlBlockButton;
exports.mMermaidButton = {
    id: action_names_1.ActionName.mermaid,
    type: types_1.ToolbarDataType.SingleButton,
    title: menubar_1.i18n.bind(null, 'mermaid'),
    icon: icons_1.icons.mermaid,
    exec: (e) => (0, commands_1.insertMermaidDiagram)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mMermaidItemData = exports.mMermaidButton;
exports.mCodeblockItemData = {
    id: action_names_1.ActionName.code_block,
    title: menubar_1.i18n.bind(null, 'codeblock'),
    icon: icons_1.icons.codeBlock,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.CodeBlock),
    exec: (e) => (0, commands_1.wrapToCodeBlock)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mCodeBlockItemData = exports.mCodeblockItemData;
exports.mHruleItemData = {
    id: 'hrule',
    title: menubar_1.i18n.bind(null, 'hrule'),
    icon: icons_1.icons.horizontalRule,
    type: types_1.ToolbarDataType.SingleButton,
    exec: (e) => (0, commands_1.insertHRule)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mEmojiItemData = {
    id: 'emoji',
    title: menubar_1.i18n.bind(null, 'emoji'),
    icon: icons_1.icons.emoji,
    type: types_1.ToolbarDataType.SingleButton,
    exec: noop,
    hintWhenDisabled: menubar_1.i18n.bind(null, 'emoji__hint'),
    isActive: inactive,
    isEnable: disable,
};
exports.mMathListItem = {
    id: 'math',
    type: types_1.ToolbarDataType.ListButton,
    icon: icons_1.icons.functionInline,
    withArrow: true,
    title: menubar_1.i18n.bind(null, 'math'),
    data: [exports.mMathInlineItemData, exports.mMathBlockItemData],
};
exports.mHeading1ItemData = {
    id: action_names_1.ActionName.heading1,
    title: menubar_1.i18n.bind(null, 'heading1'),
    icon: icons_1.icons.h1,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading1),
    exec: (e) => (0, commands_1.toH1)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeading2ItemData = {
    id: action_names_1.ActionName.heading2,
    title: menubar_1.i18n.bind(null, 'heading2'),
    icon: icons_1.icons.h2,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading2),
    exec: (e) => (0, commands_1.toH2)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeading3ItemData = {
    id: action_names_1.ActionName.heading3,
    title: menubar_1.i18n.bind(null, 'heading3'),
    icon: icons_1.icons.h3,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading3),
    exec: (e) => (0, commands_1.toH3)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeading4ItemData = {
    id: action_names_1.ActionName.heading4,
    title: menubar_1.i18n.bind(null, 'heading4'),
    icon: icons_1.icons.h4,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading4),
    exec: (e) => (0, commands_1.toH4)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeading5ItemData = {
    id: action_names_1.ActionName.heading5,
    title: menubar_1.i18n.bind(null, 'heading5'),
    icon: icons_1.icons.h5,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading5),
    exec: (e) => (0, commands_1.toH5)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeading6ItemData = {
    id: action_names_1.ActionName.heading6,
    title: menubar_1.i18n.bind(null, 'heading6'),
    icon: icons_1.icons.h6,
    hotkey: shortcuts_1.formatter.toView(shortcuts_1.Action.Heading6),
    exec: (e) => (0, commands_1.toH6)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mBulletListItemData = {
    id: action_names_1.ActionName.bulletList,
    title: menubar_1.i18n.bind(null, 'ulist'),
    icon: icons_1.icons.bulletList,
    exec: (e) => (0, commands_1.toBulletList)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mOrderedListItemData = {
    id: action_names_1.ActionName.orderedList,
    title: menubar_1.i18n.bind(null, 'olist'),
    icon: icons_1.icons.orderedList,
    exec: (e) => (0, commands_1.toOrderedList)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mSinkListItemData = {
    id: action_names_1.ActionName.sinkListItem,
    title: menubar_1.i18n.bind(null, 'list__action_sink'),
    icon: icons_1.icons.sink,
    exec: (e) => (0, commands_1.sinkListItem)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mLiftListItemData = {
    id: action_names_1.ActionName.liftListItem,
    title: menubar_1.i18n.bind(null, 'list__action_lift'),
    icon: icons_1.icons.lift,
    exec: (e) => (0, commands_1.liftListItem)(e.cm),
    isActive: inactive,
    isEnable: enable,
};
exports.mHeadingListConfig = {
    icon: icons_1.icons.headline,
    withArrow: true,
    title: menubar_1.i18n.bind(null, 'heading'),
    data: [
        exports.mHeading1ItemData,
        exports.mHeading2ItemData,
        exports.mHeading3ItemData,
        exports.mHeading4ItemData,
        exports.mHeading5ItemData,
        exports.mHeading6ItemData,
    ],
};
exports.mListsListConfig = {
    icon: icons_1.icons.bulletList,
    withArrow: true,
    title: menubar_1.i18n.bind(null, 'list'),
    data: [exports.mBulletListItemData, exports.mOrderedListItemData],
};
exports.mListMoveListConfig = {
    icon: icons_1.icons.lift,
    withArrow: true,
    title: 'Move list item',
    data: [exports.mSinkListItemData, exports.mLiftListItemData],
};
exports.mCodeListConfig = {
    icon: icons_1.icons.code,
    withArrow: true,
    title: menubar_1.i18n.bind(null, 'code'),
    data: [exports.mCodeItemData, exports.mCodeblockItemData],
};
exports.mMathListConfig = {
    icon: icons_1.icons.functionInline,
    withArrow: true,
    title: menubar_1.i18n.bind(null, 'math'),
    data: [exports.mMathInlineItemData, exports.mMathBlockItemData],
};
exports.mHiddenData = [exports.mHruleItemData, exports.mEmojiItemData, exports.mTabsItemData];
exports.mHistoryGroupConfig = [exports.mUndoItemData, exports.mRedoItemData];
exports.mBiusGroupConfig = [
    exports.mBoldItemData,
    exports.mItalicItemData,
    exports.mUnderlineItemData,
    exports.mStrikethroughItemData,
    exports.mMonospaceItemData,
    exports.mMarkedItemData,
];
exports.mToolbarConfig = [
    [exports.mUndoItemData, exports.mRedoItemData],
    exports.mBiusGroupConfig,
    [
        {
            id: 'heading',
            type: types_1.ToolbarDataType.ListButton,
            icon: icons_1.icons.headline,
            withArrow: true,
            title: menubar_1.i18n.bind(null, 'heading'),
            data: [
                exports.mHeading1ItemData,
                exports.mHeading2ItemData,
                exports.mHeading3ItemData,
                exports.mHeading4ItemData,
                exports.mHeading5ItemData,
                exports.mHeading6ItemData,
            ],
        },
        {
            id: 'list',
            type: types_1.ToolbarDataType.ListButton,
            icon: icons_1.icons.bulletList,
            withArrow: true,
            title: menubar_1.i18n.bind(null, 'list'),
            data: [exports.mBulletListItemData, exports.mOrderedListItemData],
        },
        {
            id: 'colorify',
            type: types_1.ToolbarDataType.ReactComponent,
            component: MToolbarColors_1.MToolbarColors,
            width: 42,
        },
        exports.mLinkButton,
        exports.mNoteButton,
        exports.mCutButton,
        exports.mQuoteButton,
        {
            id: 'code',
            type: types_1.ToolbarDataType.ListButton,
            icon: icons_1.icons.code,
            withArrow: true,
            title: menubar_1.i18n.bind(null, 'code'),
            data: [exports.mCodeItemData, exports.mCodeblockItemData],
        },
    ],
    [exports.mImagePopupData, exports.mFilePopupData, exports.mTableButton, exports.mCheckboxButton],
];
exports.mToolbarConfigByPreset = {
    zero: [exports.mHistoryGroupConfig],
    commonmark: [
        [exports.mUndoItemData, exports.mRedoItemData],
        [exports.mBoldItemData, exports.mItalicItemData],
        [
            {
                id: 'heading',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.headline,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'heading'),
                data: [
                    exports.mHeading1ItemData,
                    exports.mHeading2ItemData,
                    exports.mHeading3ItemData,
                    exports.mHeading4ItemData,
                    exports.mHeading5ItemData,
                    exports.mHeading6ItemData,
                ],
            },
            {
                id: 'list',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.bulletList,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'list'),
                data: [exports.mBulletListItemData, exports.mOrderedListItemData],
            },
            exports.mLinkButton,
            exports.mQuoteButton,
            {
                id: 'code',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.code,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'code'),
                data: [exports.mCodeItemData, exports.mCodeblockItemData],
            },
        ],
    ],
    default: [
        [exports.mUndoItemData, exports.mRedoItemData],
        [exports.mBoldItemData, exports.mItalicItemData, exports.mStrikethroughItemData],
        [
            {
                id: 'heading',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.headline,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'heading'),
                data: [
                    exports.mHeading1ItemData,
                    exports.mHeading2ItemData,
                    exports.mHeading3ItemData,
                    exports.mHeading4ItemData,
                    exports.mHeading5ItemData,
                    exports.mHeading6ItemData,
                ],
            },
            {
                id: 'list',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.bulletList,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'list'),
                data: [exports.mBulletListItemData, exports.mOrderedListItemData],
            },
            exports.mLinkButton,
            exports.mQuoteButton,
            {
                id: 'code',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.code,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'code'),
                data: [exports.mCodeItemData, exports.mCodeblockItemData],
            },
        ],
    ],
    yfm: [
        [exports.mUndoItemData, exports.mRedoItemData],
        [
            exports.mBoldItemData,
            exports.mItalicItemData,
            exports.mUnderlineItemData,
            exports.mStrikethroughItemData,
            exports.mMonospaceItemData,
        ],
        [
            {
                id: 'heading',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.headline,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'heading'),
                data: [
                    exports.mHeading1ItemData,
                    exports.mHeading2ItemData,
                    exports.mHeading3ItemData,
                    exports.mHeading4ItemData,
                    exports.mHeading5ItemData,
                    exports.mHeading6ItemData,
                ],
            },
            {
                id: 'list',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.bulletList,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'list'),
                data: [exports.mBulletListItemData, exports.mOrderedListItemData],
            },
            exports.mLinkButton,
            exports.mNoteButton,
            exports.mCutButton,
            exports.mQuoteButton,
            {
                id: 'code',
                type: types_1.ToolbarDataType.ListButton,
                icon: icons_1.icons.code,
                withArrow: true,
                title: menubar_1.i18n.bind(null, 'code'),
                data: [exports.mCodeItemData, exports.mCodeblockItemData],
            },
        ],
        [exports.mImagePopupData, exports.mFilePopupData, exports.mTableButton, exports.mCheckboxButton],
    ],
    full: exports.mToolbarConfig.slice(),
};
exports.mHiddenDataByPreset = {
    zero: [],
    commonmark: [
        exports.mHeading1ItemData,
        exports.mHeading2ItemData,
        exports.mHeading3ItemData,
        exports.mHeading4ItemData,
        exports.mHeading5ItemData,
        exports.mHeading6ItemData,
        exports.mBulletListItemData,
        exports.mOrderedListItemData,
        exports.mLinkButton,
        exports.mQuoteButton,
        exports.mCodeblockItemData,
        exports.mHruleItemData,
    ],
    default: [
        exports.mHeading1ItemData,
        exports.mHeading2ItemData,
        exports.mHeading3ItemData,
        exports.mHeading4ItemData,
        exports.mHeading5ItemData,
        exports.mHeading6ItemData,
        exports.mBulletListItemData,
        exports.mOrderedListItemData,
        exports.mLinkButton,
        exports.mQuoteButton,
        exports.mCodeblockItemData,
        exports.mHruleItemData,
    ],
    yfm: [
        exports.mHeading1ItemData,
        exports.mHeading2ItemData,
        exports.mHeading3ItemData,
        exports.mHeading4ItemData,
        exports.mHeading5ItemData,
        exports.mHeading6ItemData,
        exports.mBulletListItemData,
        exports.mOrderedListItemData,
        exports.mLinkButton,
        exports.mQuoteButton,
        exports.mNoteButton,
        exports.mCutButton,
        exports.mCodeblockItemData,
        exports.mCheckboxButton,
        exports.mTableButton,
        exports.mImagePopupData,
        exports.mHruleItemData,
        exports.mFilePopupData,
        exports.mTabsItemData,
    ],
    full: [
        exports.mHeading1ItemData,
        exports.mHeading2ItemData,
        exports.mHeading3ItemData,
        exports.mHeading4ItemData,
        exports.mHeading5ItemData,
        exports.mHeading6ItemData,
        exports.mBulletListItemData,
        exports.mOrderedListItemData,
        exports.mLinkButton,
        exports.mQuoteButton,
        exports.mNoteButton,
        exports.mCutButton,
        exports.mCodeblockItemData,
        exports.mCheckboxButton,
        exports.mTableButton,
        exports.mImagePopupData,
        exports.mHruleItemData,
        exports.mEmojiItemData,
        exports.mFilePopupData,
        exports.mTabsItemData,
    ],
};
