"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.handlePaste = void 0;
const clipboard_1 = require("../../../utils/clipboard");
const const_1 = require("./const");
const handlePaste = (view, e) => {
    if (!e.clipboardData || view.state.selection.$from.parent.type.spec.code)
        return false;
    const code = getCodeData(e.clipboardData);
    if (!code)
        return false;
    let tr = view.state.tr;
    const { schema } = tr.doc.type;
    const codeBlockNode = (0, const_1.cbType)(schema).create({ [const_1.codeBlockLangAttr]: code.mode }, schema.text(code.value));
    tr = tr.replaceSelectionWith(codeBlockNode);
    view.dispatch(tr.scrollIntoView());
    return true;
};
exports.handlePaste = handlePaste;
function getCodeData(data) {
    var _a;
    if (data.getData(clipboard_1.DataTransferType.Text)) {
        let editor = 'unknown';
        let mode;
        if ((0, clipboard_1.isVSCode)(data)) {
            editor = 'vscode';
            mode = (_a = (0, clipboard_1.tryParseVSCodeData)(data)) === null || _a === void 0 ? void 0 : _a.mode;
        }
        else
            return null;
        return { editor, mode, value: data.getData(clipboard_1.DataTransferType.Text) };
    }
    return null;
}
