"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Checkbox = exports.checkboxInputType = exports.checkboxLabelType = exports.checkboxType = exports.CheckboxNode = exports.CheckboxAttr = void 0;
const inputrules_1 = require("../../../utils/inputrules");
const CheckboxSpecs_1 = require("./CheckboxSpecs");
const actions_1 = require("./actions");
const nodeviews_1 = require("./nodeviews");
const plugin_1 = require("./plugin");
const utils_1 = require("./utils");
const checkboxAction = 'addCheckbox';
var CheckboxSpecs_2 = require("./CheckboxSpecs");
Object.defineProperty(exports, "CheckboxAttr", { enumerable: true, get: function () { return CheckboxSpecs_2.CheckboxAttr; } });
Object.defineProperty(exports, "CheckboxNode", { enumerable: true, get: function () { return CheckboxSpecs_2.CheckboxNode; } });
Object.defineProperty(exports, "checkboxType", { enumerable: true, get: function () { return CheckboxSpecs_2.checkboxType; } });
Object.defineProperty(exports, "checkboxLabelType", { enumerable: true, get: function () { return CheckboxSpecs_2.checkboxLabelType; } });
Object.defineProperty(exports, "checkboxInputType", { enumerable: true, get: function () { return CheckboxSpecs_2.checkboxInputType; } });
const Checkbox = (builder, opts) => {
    builder.use(CheckboxSpecs_1.CheckboxSpecs, Object.assign(Object.assign({}, opts), { inputView: () => nodeviews_1.CheckboxInputView.create }));
    builder
        .addPlugin(plugin_1.keymapPlugin, builder.Priority.High)
        .addAction(checkboxAction, () => (0, actions_1.addCheckbox)())
        .addInputRules(({ schema }) => ({
        rules: [
            (0, inputrules_1.nodeInputRule)(/^\[(\s?)\]\s$/, (0, utils_1.checkboxType)(schema).createAndFill({}, (0, utils_1.checkboxInputType)(schema).create()), 2),
        ],
    }));
};
exports.Checkbox = Checkbox;
