import { nodeInputRule } from '../../../utils/inputrules';
import { CheckboxSpecs } from './CheckboxSpecs';
import { addCheckbox } from './actions';
import { CheckboxInputView } from './nodeviews';
import { keymapPlugin } from './plugin';
import { checkboxInputType, checkboxType } from './utils';
import './index.css';
const checkboxAction = 'addCheckbox';
export { CheckboxAttr, CheckboxNode, checkboxType, checkboxLabelType, checkboxInputType, } from './CheckboxSpecs';
export const Checkbox = (builder, opts) => {
    builder.use(CheckboxSpecs, Object.assign(Object.assign({}, opts), { inputView: () => CheckboxInputView.create }));
    builder
        .addPlugin(keymapPlugin, builder.Priority.High)
        .addAction(checkboxAction, () => addCheckbox())
        .addInputRules(({ schema }) => ({
        rules: [
            nodeInputRule(/^\[(\s?)\]\s$/, checkboxType(schema).createAndFill({}, checkboxInputType(schema).create()), 2),
        ],
    }));
};
